Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.client.util
Class ClientFactory

    java.lang.Object
      org.apache.xmlrpc.client.util.ClientFactory

    public class ClientFactory

extends java.lang.Object

The `ClientFactory` is a useful tool for simplifying the use of Apache XML-RPC. The rough idea is as follows: All XML-RPC handlers are implemented as interfaces. The server uses the actual implementation. The client uses the `ClientFactory` to obtain an implementation, which is based on running XML-RPC calls.

Constructor Summary
`ClientFactory(XmlRpcClient pClient)` Creates a new instance.
`ClientFactory(XmlRpcClient pClient, TypeConverterFactory pTypeConverterFactory)` Creates a new instance.

Method Summary
`XmlRpcClient` | `getClient()` Returns the factories client.
`boolean` | `isObjectMethodLocal()` Returns, whether a method declared by the `Object class` is performed by the local object, rather than by the server.
`java.lang.Object` | `newInstance(java.lang.Class pClass)` Creates an object, which is implementing the given interface.
`java.lang.Object` | `newInstance(java.lang.ClassLoader pClassLoader, java.lang.Class pClass)` Creates an object, which is implementing the given interface.
`java.lang.Object` | `newInstance(java.lang.ClassLoader pClassLoader, java.lang.Class pClass, java.lang.String pRemoteName)` Creates an object, which is implementing the given interface.
`void` | `setObjectMethodLocal(boolean pObjectMethodLocal)` Sets, whether a method declared by the `Object class` is performed by the local object, rather than by the server.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientFactory

    public ClientFactory(XmlRpcClient pClient,
                         TypeConverterFactory pTypeConverterFactory)

  Creates a new instance.

  Parameters:
    `pClient` - A fully configured XML-RPC client, which is used internally to perform XML-RPC calls.
    `pTypeConverterFactory` - Creates instances of `TypeConverterFactory`, which are used to transform the result object in its target representation.

### ClientFactory

    public ClientFactory(XmlRpcClient pClient)

  Creates a new instance. Shortcut for

         new ClientFactory(pClient, new TypeConverterFactoryImpl());

  Parameters:
    `pClient` - A fully configured XML-RPC client, which is used internally to perform XML-RPC calls.
  See Also:
    `TypeConverterFactoryImpl`

Method Detail

### getClient

    public XmlRpcClient getClient()

  Returns the factories client.

### isObjectMethodLocal

    public boolean isObjectMethodLocal()

  Returns, whether a method declared by the `Object class` is performed by the local object, rather than by the server. Defaults to true.

### setObjectMethodLocal

    public void setObjectMethodLocal(boolean pObjectMethodLocal)

  Sets, whether a method declared by the `Object class` is performed by the local object, rather than by the server. Defaults to true.

### newInstance

    public java.lang.Object newInstance(java.lang.Class pClass)

  Creates an object, which is implementing the given interface. The objects methods are internally calling an XML-RPC server by using the factories client; shortcut for

         newInstance(Thread.currentThread().getContextClassLoader(),
           pClass)

### newInstance

    public java.lang.Object newInstance(java.lang.ClassLoader pClassLoader,
                                        java.lang.Class pClass)

  Creates an object, which is implementing the given interface. The objects methods are internally calling an XML-RPC server by using the factories client; shortcut for

         newInstance(pClassLoader, pClass, pClass.getName())

### newInstance

    public java.lang.Object newInstance(java.lang.ClassLoader pClassLoader,
                                        java.lang.Class pClass,
                                        java.lang.String pRemoteName)

  Creates an object, which is implementing the given interface. The objects methods are internally calling an XML-RPC server by using the factories client.

  Parameters:
    `pClassLoader` - The class loader, which is being used for loading classes, if required.
    `pClass` - Interface, which is being implemented.
    `pRemoteName` - Handler name, which is being used when calling the server. This is used for composing the method name. For example, if `pRemoteName` is "Foo" and you want to invoke the method "bar" in the handler, then the full method name would be "Foo.bar".

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.